Bug 1623087 - [RFE] OVN native L4LB for east-west traffic
Summary: [RFE] OVN native L4LB for east-west traffic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1635261
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-28 12:55 UTC by Daniel Mellado
Modified: 2020-05-04 11:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:12:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 602971 0 'None' MERGED LBaaS driver: Add provider support 2020-05-07 13:14:23 UTC
OpenStack gerrit 603163 0 'None' MERGED Add support for OVN provider in Endpoint LBaaS driver 2020-05-07 13:14:23 UTC
OpenStack gerrit 603320 0 'None' MERGED Fix Pool creation workflow 2020-05-07 13:14:23 UTC
OpenStack gerrit 604717 0 'None' MERGED svc namespace isolation support for different octavia drivers 2020-05-07 13:14:23 UTC
OpenStack gerrit 605636 0 'None' MERGED Add support for Octavia Driver: Cascade Delete 2020-05-07 13:14:23 UTC
OpenStack gerrit 606999 0 'None' MERGED Fix devstack deployment when ovn-provider is selected 2020-05-07 13:14:23 UTC
OpenStack gerrit 608862 0 'None' ABANDONED Add a new Event Handler for Octavia 2020-05-07 13:14:24 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:13:13 UTC

Description Daniel Mellado 2018-08-28 12:55:27 UTC
Description of problem:

OVN native L4LB for east-west traffic
-------------------------------------

Kuryr implements clusterIP (east-west traffic) services not by using iptables redirect clauses (kube-proxy) but using amphora driver backed Octavia Load balancers. This has an evidently high cost in memory/core resources as well as it adds extra hops that deteriorate the data plane performance (pod -> router -> LB amphora -> router -> service pod).

This feature is about optionally replacing the clusterIP services backing with OVN’s native load balancers (only TCP traffic). This would have the communication be directly pod -> service pod since OVN’s L4 load balancer is distributed just like its router. This would not apply to load balancer service types.


Additional info:

Comment 2 Luis Tomas Bolivar 2018-10-02 11:00:15 UTC
Adding related upstream patch sets

Comment 3 Luis Tomas Bolivar 2018-10-02 11:04:10 UTC
This will also depend on the fix for these two:
- https://bugs.launchpad.net/networking-ovn/+bug/1794260
- https://storyboard.openstack.org/#!/story/2003833

Comment 17 Itzik Brown 2020-01-30 14:18:20 UTC
Checked with 4.4.0-0.nightly-2020-01-24-045907
Ran kuryr_tempest_plugin.tests.scenario.test_service.TestServiceScenario.test_pod_service_curl and verified that the LB of the service is using ovn as a backend

Comment 19 errata-xmlrpc 2020-05-04 11:12:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.